## lynx 2.7.1

=== Makefile ===
##makefile for lynx

SHELL = /bin/sh

##uncomment the next line if your make fails to set $(MAKE)
#MAKE= make

##this is the name of the directory the lynx source code is in.
##(e.g. lynx2-7-1, not the full path)
lynxdir= lynx2-7-1

##this is the filename for .zip, .tar and .tar.Z archives.
lynxname= lynx2-7-1

##change the next line if you want lynx installed somewhere
##besides /usr/local/bin
exec= /usr/local/bin

##change the next line if you want the lynx man file installed somewhere
##besides /usr/local/man/man1
doc= /usr/local/man/man1

##change the next line if you want the lynx.cfg file installed somewhere
##besides /usr/local/lib
cfg= /usr/local/lib

installbin= install -c -s -m 755
installdoc= install -c -m 444

##set the relative location of the WWW library Implementation directory,
##from this directory
##do not set this to be an absolute path!!!
WWWINC= WWW/Library/Implementation

# !!!!!!!!!!! SUN resolv LIBRARY !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# To include resolv in the LIBS="" list for SUN 3, 4 or Solaris OS,
# point RESOLVLIB to that library.  You need this if you get the message
# "Alert!:  Unable to connect to remote host" whenever you try to
# access a host other than localhost and have made Lynx without it.
# See the PROBLEMS file for more information.
#RESOLVLIB= -lresolv

# !!!!!!!!!!! Alternate socket functions for SOCKS !!!!!!!!!!!!!!!!!!
# To make a SOCKSified lynx, include -DSOCKS in your SITE_LYDEFS and
# SITE_DEFS, below, and point SOCKSLIB to your SOCKS library.  Note
# that you may have problems accessing FTP servers.  Also, instead of
# SOCKSifying lynx for use behind a firewall, you are better off if
# you make it normally, and set it up to use a proxy server.  You can
# SOCKSify the proxy server, and it will handle all clients, not just
# Lynx (see the INSTALLATION file in this distribution).  If your SOCKS
# server was compiled to use the short version of Rbind, also include
# -DSHORTENED_RBIND in your SITE_LYDEFS and SITE_DEFS.  If you do
# SOCKSify lynx, you can turn off SOCKS proxy usage via a -nosocks
# command line switch.
#SOCKSLIB= /usr/local/lib/libsocks.a

# !!!!!!!!!!!!!  DIRECT WAIS ACCESS !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# If you are adding direct wais access you must fill in the
# location of wais.a, client.a and the standard math library, libm.a.
# You can pick up the most current freeWAIS sources from
#	ftp://ftp.cnidr.org/pub/NIDR.tools/freewais
# If you are using freeWAIS-0.202 or older, include -DDECLARE_WAIS_LOGFILES
# in your SITE_DEFS.
# Plese put an ABSOLUTE address here if you want it to work!
#WAISLIB= ../../freeWAIS-0.202/bin/client.a ../../freeWAIS-0.202/bin/wais.a /usr/lib/libm.a

# !!!!!!!!!!!!! SLANG Support (For color version of Lynx). !!!!!!!!!!!!!!!!
# The slang library is an alternative to curses, developed by John E. Davis
# (davis@space.mit.edu).  Version 0.99-27 or higher is available from
#	ftp://space.mit.edu/pub/davis
# It provides color support for Lynx.  If you wish to try it and are not
# on a supported system (see list, below), include -DUSE_SLANG in your
# SITE_DEFS and define the locations of the slang library (libslang.a)
# and headers (slang.h and slcurses.h) here.  They may be left commented
# out if the library and headers are in their canonical locations (usr/lib,
# and usr/include).
#SLANGINC = -I../../slang/src#              location of slang.h and slcurses.h
#SLANGLIB = -L../../slang/src/$(ARCH)objs#  location of libslang.a
#SLANGRRLIB = -R../../slang/src/$(ARCH)objs# for solaris

# !!!!!!!!!!! Lynx Local Directory Listing Formats !!!!!!!!!!!!!!!!!!!!!!!!!!!
# Lynx supports "ls -l" format for local directory listings on Unix if the
# LONG_LIST compilation symbol is defined, and includes links to the parent
# directory if the compilation symbol NO_PARENT_DIR_REFERENCE is not defined.
# If "ls -l" format is enabled here, the listing format can be modifed via a
# LIST_FORMAT symbol in userdefs.h and/or lynx.cfg.  Otherwise, only file and
# directory names will be included in the listings.
#
# If you are not including DirEd Support (see below) and wish to disable
# "ls -l" emulation in local directory listings, prepend "#" to this line:
DIR_LONG_LIST =   -DLONG_LIST
#
# To disable "Up to" parent links in local directory listings,
# remove "#" from this line:
#DIR_PARENT =  -DNO_PARENT_DIR_REFERENCE

# !!!!!!!!!!! Lynx DirEd Support !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# Lynx now supports directory editing (DirEd) for local directories.
# This allows users to do things like view, copy, & remove files using
# a tabular display of the directory & single-keystroke commands instead
# of using the command line.  From inside Lynx, the keystroke sequence
# "g.<enter>" switches Lynx to DirEd mode on the current directory.
# If you're building a Lynx that is to be used as a kind of restricted
# shell for users who do not have access to the command line & should
# not have access to equivalent capabilities, you need to disable DirEd
# here.  You can also disable some DirEd functions while allowing others.
#
# DirEd functions are disabled by inserting or removing "#" signs at
# the beginnings of lines that contain variable assignments here.
# All DirEd functions that were enabled on compilation can be disabled
# or modified at run time via DIRED_MENU symbols in lynx.cfg.
#
# To disable DirEd completely, prepend "#" to this line:
DIRED_SUPPORT     =   -DDIRED_SUPPORT
#(If you have disabled DirEd completely, you can ignore all the
#other DirEd stuff here.)
#
# To prevent DirEd from extracting files from an archive file,
# remove "#" from this line:
#DIRED_ARCHIVE   =  -DARCHIVE_ONLY
#
# To prevent DirEd from using the tar program, prepend "#" to this line:
DIRED_TAR   =   -DOK_TAR
#
# To prevent DirEd from using zip & unzip, prepend "#" to this line:
DIRED_ZIP   =   -DOK_ZIP
#
# To prevent DirEd from using gzip & gunzip, prepend "#" to this line:
DIRED_GZIP   =   -DOK_GZIP
#
# To prevent DirEd from using uudecode, prepend "#" to this line:
DIRED_UUDECODE   =   -DOK_UUDECODE
#
# Lynx users can customize their keymaps by creating private versions
# of lynx.cfg & modifying them, overriding the default keymap.
# To prevent DirEd keymap overriding, prepend "#" to this line:
DIRED_OVERRIDE   =   -DOK_OVERRIDE
#
# To prevent DirEd from changing the permissions on directories or files
# (i.e. from doing what the Unix chmod command or the DOS attrib command
# does), prepend "#" to this line:
DIRED_PERMIT   =   -DOK_PERMIT
#
# If you do not comment out the DIRED_PERMIT line, but want to restrict
# changes of the eXecute permission to directories (i.e., not allow it to
# be changed for files), remove "#" from this line (if you don't remove it,
# you can still block changes of the eXecute permission for files but not
# directories via the "change_exec_perms" command line restriction):
#DIRED_NOXPERMS   =   -DNO_CHANGE_EXECUTE_PERMS

# !!!!!!!!!!! NOTE:  NetBSD and FreeBSD !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# On NetBSD 1.1 and earlier, as well as FreeBSD 2.0.5 and earlier,
# the system make program uses different syntax for including files
# than the GNU make program.  If you get the following error --
#   * "Makefile", line 27: Need an operator *
# you have several choices to run GNU make:
#
# * Install GNU make as `/usr/bin/make', after moving /usr/bin/make
#   to /usr/bin/old-make
#
# * Install GNU make in a different directory which is earlier in
#   your search path.
#
# * Install GNU make as gmake, and change occurrences of `make' to
#   `gmake' in any Makefile used by your install.  You won't need to
#   change all of the Makefiles, just the top-level one, and the one
#   in WWW/Library/???bsd

# !!!!!!!!!!! Lynx Wishful Thinking !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# If you are on one of the supported systems (see all: list below)
# you should not have to modify anything from here down (but check
# it out for your system, anyway)!
# If you are not, then you should edit the generic: entry below.
#
# If you need ncurses, the latest version can always be found
# in ftp://ftp.netcom.com/pub/zm/zmbenhal/ncurses/
# (you may need -DNCURSESHEADER in addition to -DNCURSES for old
# versions of ncurses; see below).
#
# Also be sure to check out the compilation symbols in userdefs.h
# before building Lynx!

all:
	@echo
	@echo "Please run make with one of the following arguments"
	@echo "aix4       -- for RS/6000 running AIX 4.n and some 3.2"
	@echo "aix32      -- for RS/6000 running AIX 3.2"
	@echo "aix31      -- for RS/6000 running AIX 3.1 with curses bug"
	@echo "apollo     -- apollo systems (untested)"
	@echo "bsdi       -- BSD Interactive"
	@echo "bsdi-ncurses -- BSD/OS(v2.0 or later) using ncurses(v1.9.4 or later) package."
	@echo "bsdi-slang -- BSD/OS(v2.0 or later) using the slang package."
	@echo "clix       -- for Intergraph CLIX"
	@echo "convex     -- for Convex C-series"
	@echo "convex-ncurses -- for Convex C-series with ncurses package"
	@echo "dgux       -- for DGUX "
	@echo "freebsd    -- for FreeBSD"
	@echo "freebsd-ncurses -- for FreeBSD using ncurses package"
	@echo "freebsd-slang -- for FreeBSD with color slang package"
	@echo "generic    -- for generic UNIX"
	@echo "isc        -- for Interactive Machines (untested)"
	@echo "linux      -- for PC linux"
	@echo "linux-ncurses -- for PC linux using ncurses package"
	@echo "linux-slang -- for linux with color slang package"
	@echo "mips       -- for MIPS, svr3/bsd flavour (untested)"
	@echo "netbsd     -- for NetBSD"
	@echo "netbsd-ncurses -- for NetBSD using ncurses package"
	@echo "news       -- for SONY NEWS-OS 4.2.1R"
	@echo "news-ncurses -- for SONY NEWS-OS 4.2.1R using ncurses package"
	@echo "news-slang -- for SONY NEWS-OS 4.2.1R with color slang package"
	@echo "next       -- for NeXT OS"
	@echo "next-ncurses  -- for NeXT OS using ncurses package"
	@echo "osf        -- for Alpha OSF/1"
	@echo "osf-slang  -- for Alpha OSF/1 with color slang package"
	@echo "ptx        -- for Sequent's DYNIX/ptx, version 4, (current version)"
	@echo "ptx-slang  -- for Sequent's DYNIX/ptx, version 4, with color slang package"
	@echo "ptx        -- for Sequent's DYNIX/ptx, current version"
	@echo "ptx2       -- for Sequent's DYNIX/ptx, version 2"
	@echo "riscos     -- Control Data Unix machine running EP/IX"
	@echo "sco        -- for SCO machines"
	@echo "sco5       -- for SCO OpenServer Release 5 machines"
	@echo "sgi        -- for SGI machines"
	@echo "sun3       -- for SUN 3 OS with System V curses"
	@echo "sun4       -- for SUN 4 OS with System V curses"
	@echo "sun4-ncurses -- for SUN 4 OS using ncurses package"
	@echo "sun4-pure  -- for SUN 4 OS with PURIFY and System V curses"
	@echo "sun4-slang -- for SUN 4 OS with color slang package"
	@echo "svr4       -- for SVR4"
	@echo "snake      -- for HP-UX lt 9.01 (gcc)"
	@echo "snake-slang -- for HP-UX lt 9.01 (gcc) with color slang"
	@echo "snake2     -- for HP-UX gte 9.01 (gcc)"
	@echo "snake2-slang -- for HP-UX gte 9.01 (gcc) with color slang"
	@echo "snake3     -- for HP-UX (purchased compiler)"
	@echo "snake3-slang -- for HP-UX (purchased compiler) with color slang"
	@echo "solaris2   -- for solaris 2.x"
	@echo "solaris2cc -- for Solaris 2.x using Sun's unbundled C compiler"
	@echo "solaris2-slang -- for Solaris 2 and color slang package"
	@echo "solaris2-slangcc -- for Solaris 2 slang using Sun's unbundled C compiler"
	@echo "ultrix     -- for DEC Ultrix"
	@echo "decstation -- for DEC Ultrix (same as ultrix)"
	@echo "ultrix-slang     -- for DEC Ultrix and color slang package"
	@echo "decstation-slang -- for DEC Ultrix and color slang (same as ultrix-slang)"
	@echo "umaxv   -- for Encore's UMAXV (SVR3.x) "
	@echo "umaxv-slang   -- for Encore's UMAXV and color slang package"
	@echo "unixware   -- for Novell's Unixware"
	@echo "univell    -- for Novell's Unixware"
	@echo "unixware-slang -- for Unixware and color slang package"
	@echo "univell-slang  -- for Unixware and color slang package"

## lynx 2.8.6

=== debian/changelog ===
lynx (2.8.6-2.1maemo3.0~rzr2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix: update-alternative issue
  * Rebuilt on OBS and tested on n950

 -- Philippe Coval <rzr@gna.org>  Sat, 21 Jan 2012 17:54:39 +0100

lynx (2.8.6-2.1maemo3) diablo; urgency=low

  * Repackaged to the architecture armel

 -- Thomas Pietrowski <thopiekar@googlemail.com>  Thu, 19 Feb 2009 18:31:17 +0100 

lynx (2.8.6-2.1ubuntu3) intrepid; urgency=low

  * Corrected debian/lynx.desktop (LP: #147058)

 -- Nicolai Spohrer <nicolai@xeve.de>  Thu, 21 Aug 2008 01:49:52 +0200

lynx (2.8.6-2.1ubuntu2) intrepid; urgency=low

  * Remove patch file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Jun 2008 00:38:38 +0200

lynx (2.8.6-2.1ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Fixed missing icon in KDE menu (LP: #159580).
    - debian/patches/01_default-config.dpatch: Updated HomePage to Ubuntu Default
      (Closes LP: #18639).
    - debian/control: Updated Maintainer Field.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Jun 2008 00:23:54 +0200

lynx (2.8.6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop linking against GnuTLS OpenSSL wrapper library, since licenses are
    incompatible (GPLv2 vs. GPLv3+). Closes: #468769

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Jun 2008 17:08:19 +0000

lynx (2.8.6-2ubuntu2) hardy; urgency=low

  * Fixed missing icon in KDE menu (LP: #159580)
  * Updated Standards-Version 

 -- Ralph Janke <txwikinger@ubuntu.com>  Thu, 20 Dec 2007 03:19:13 +0000

lynx (2.8.6-2ubuntu1) gutsy; urgency=low

  * debian/patches/01_default-config.dpatch: Updated HomePage to Ubuntu Default
    (Closes LP: #18639)
  * debian/control: Updated Maintainer Field
  * debian/control: Updated Standards-Version to 3.7.2

 -- Joseph Jackson IV <jjacksoniv@fluxbuntu.org>  Fri, 25 May 2007 09:34:00 -0400

lynx (2.8.6-2) unstable; urgency=high

  * The 'Oh Crap, how did I miss _that_' release.
  * Include the 2.8.5-2-sarge2.2 NMU patch and changelog entry.
    (Missed in the last release, since I goofed, this is priority high to get
    the security fix back out there.)
  * Update and include the 2.8.5-2-sarge2.2 NMU patch as
    03_mailcap_mime_security.dpatch.
  * Ack the NMUs.
    Closes: #396964, #387279, #387383.

 -- Zephaniah E. Hull <warp@debian.org>  Wed, 02 May 2007 03:52:18 -0400

lynx (2.8.6-1) unstable; urgency=low

  * Hijack the package.  I might not be great at it, but I do use it daily.
  * New upstream release.
    Closes: #254515, #137480, #67184, #99400, #132674, #141158, #40435,
    #120451, #157088, #204994, #244871, #248092, #268264, #271048, #318034,
    #343049, #390918, #240237, #313789, #171312, #193205, #252915, #265031,
    #121520, #152810, #188415, #344275, #374388, #184482, #315853
  * Uses the new upstream defaults. Closes: #325478, #147287.
  * Update 01_default-config.dpatch. (Offset changes only.)
  * Update 02_default-key-bindings.dpatch. (Upstream formatting changes.)
  * Kill 03_newer_gnutls.dpatch entirely.
    This was fixed upstream.  But this is also a GPL violation as we only ship
    the patch to configure, and not to configure.in, the source file.
  * Kill 04_CVE-2004-1617.dpatch. (Merged into upstream.)
  * Disable 05_FTBFS_on_GNUHurd_and_GNUkBSD (Upstream changes, file new bug if
    we FTBFS again.)
  * Removed configure arguments:
    --enable-8bit-toupper - Removed, no longer exists.
    --enable-persistent-cookies - Enabled by default.
    --enable-prettysrc - Enabled by default.
    --enable-source-cache - Enabled by default.
    --enable-read-eta - Enabled by default.
  * Added configure arguments:
    --enable-nsl-fork - fork NSL requests, allowing them to be aborted
    --enable-justify-elts - use element-justification logic
  * Update the contents and location of lynx.desktop. Closes: 304989.
  * Other things will be handled by later uploads, patches welcome.

 -- Zephaniah E. Hull <warp@debian.org>  Tue, 01 May 2007 01:43:17 -0400

lynx (2.8.5-2sarge2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Read user configuration from home directory, not current
    working directory. Closes: #396964
    Thanks to Tom Parker for the patch.

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 27 Nov 2006 07:43:17 +0100

lynx (2.8.5-2sarge2.1) unstable; urgency=low

  * NMU.
  * Fixed changelog entry that closes #384725.
  * Used a debian version greater than the one in stable-security.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 14 Sep 2006 09:15:56 +1000

lynx (2.8.5-2sarge1.2) unstable; urgency=high

  * NMU.
  * Fixed CVE-2004-1617 (see DSA-1076-1).
    [debian/patches/04_CVE-2004-1617.dpatch]
    Patch by Thomas E. Dickey <dickey@radix.net>.
    Closes: #384725.
  * Fixed "FTBFS on GNU/Hurd (and GNU/k*BSD)".
    [debian/patches/05_FTBFS_on_GNUHurd_and_GNUkBSD]
    Patch by Robert Millan <rmh@debian.org>.
    Closes: #238057.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Sep 2006 18:41:49 +1000

lynx (2.8.5-2sarge1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Now build-depending on libgnutls-dev so libgnutls11 can be
    removed (Closes: #335765).

 -- David Moreno Garza <damog@debian.org>  Sun, 13 Aug 2006 18:09:34 -0500

lynx (2.8.5-2sarge1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch by Ulf H?rnhammar to fix buffer overflow that can lead
    to arbitrary code execution [WWW/Library/Implementation/HTMIME.c,
    CAN-2005-3120]

 -- Martin Schulze <joey@infodrom.org>  Sat,  8 Oct 2005 09:23:11 +0200

lynx (2.8.5-2) unstable; urgency=low

  * 03_newer_gnutls.dpatch: new patch from Torbj?rn Wassberg to add
    '-lgnutls-openssl' to LIBS to allow compilation with gnutls11.
  * debian/control (Build-Depends): s/gnutls7/gnutls11/.  Closes: #264754

 -- James Troup <james@nocrew.org>  Sun, 26 Sep 2004 13:36:41 +0100

lynx (2.8.5-1) unstable; urgency=low

  * New upstream release. Closes: #210948


=== debian/control ===
Source: lynx
Maintainer: Thomas Pietrowski <thopiekar@googlemail.com>
Standards-Version: 3.6.0
Section: web
Priority: optional
Build-Depends: libncursesw5-dev, zlib1g-dev, libbz2-dev, gettext, dpatch, sharutils

Package: lynx
Architecture: any
Depends: ${shlibs:Depends}
Recommends: mime-support
Conflicts: lynx-ssl
Replaces: lynx-ssl
Provides: www-browser, news-reader, lynx-ssl
Description: Text-mode WWW Browser
 Lynx is a fully-featured World Wide Web (WWW) client for users
 running cursor-addressable, character-cell display devices (e.g.,
 vt100 terminals, vt100 emulators running on PCs or Macs, or any other
 "curses-oriented" display). It will display hypertext markup language
 (HTML) documents containing links to files residing on the local
 system, as well as files residing on remote systems running Gopher,
 HTTP, FTP, WAIS, and NNTP servers.

=== debian/rules ===
#! /usr/bin/make -f
# debian/rules file - for lynx (2.8.5)
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994, 1995 by Ian Jackson.
# Copyright 2002, 2003, 2004 James Troup
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

install_dir=install -d -m 755
install_file=install -m 644
install_script=install -m 755
install_binary=install -m 755 -s

include /usr/share/dpatch/dpatch.make

build: patch-stamp
	$(checkdir)
	./configure --prefix=/usr \
		    --libexecdir=/usr/lib --sysconfdir=/etc \
		    --localstatedir=/var --libdir=/etc \
		    --enable-warnings \
		    --with-screen=ncursesw \
		    --enable-externs \
		    --enable-cgi-links --enable-exec-links \
		    --enable-exec-scripts \
		    --enable-nls \
		    --enable-charset-choice \
		    --enable-default-colors \
		    --enable-ipv6 \
		    --enable-nested-tables --enable-read-eta \
		    --enable-nsl-fork --enable-justify-elts --enable-color-style \
		    --without-gnutls \
		    --with-zlib \
		    --with-bzlib
	$(MAKE)
	touch build

clean: unpatch
	$(checkdir)
	-rm -rf build debian/tmp debian/files debian/substvars debian/patched
	-(find . -type f -name \*~ | xargs rm)
	-$(MAKE) distclean
	-rm -f config.cache config.log lynx 
	rm -f debian/icons/web-browser.png

binary-indep:

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp/
	$(install_dir) debian/tmp/DEBIAN/
	$(install_script) debian/preinst debian/postinst debian/prerm debian/postrm debian/tmp/DEBIAN/
	$(install_file) debian/conffiles debian/tmp/DEBIAN/

	$(install_dir) debian/tmp/usr/bin/
	$(install_binary) lynx debian/tmp/usr/bin/lynx.stable

	$(install_dir) debian/tmp/etc/
	$(install_file) lynx.cfg debian/tmp/etc/
	$(install_file) samples/lynx.lss debian/tmp/etc/

	$(install_dir) debian/tmp/usr/share/man/man1/
	$(install_file) lynx.man debian/tmp/usr/share/man/man1/lynx.1
	find debian/tmp/usr/share/man/ -type f -print | xargs gzip -9

	$(install_dir) debian/tmp/usr/share/locale/
	for f in po/*.gmo; do \
		cat=`basename $$f`; \
		lang=`echo $$cat | sed 's/\.gmo$$//'`; \
		$(install_dir) debian/tmp/usr/share/locale/$$lang/LC_MESSAGES; \
		$(install_file) $$f debian/tmp/usr/share/locale/$$lang/LC_MESSAGES/lynx.mo; \
	done

	$(install_dir) debian/tmp/usr/share/doc/lynx/
	cp -R lynx_help debian/tmp/usr/share/doc/lynx/
	cat CHANGES `ls docs/CHANGES* |sort -t . -rn -k 2,2 -k 3,3` \
		> debian/tmp/usr/share/doc/lynx/changelog
	$(install_file) docs/CRAWL.announce docs/FM.announce \
		docs/README.chartrans PROBLEMS README \
		samples/jumpsUnix.html samples/cernrules.txt \
		samples/lynx-keymaps debian/tmp/usr/share/doc/lynx/
	$(install_dir) debian/tmp/usr/share/doc/lynx/test/
	$(install_file) test/* debian/tmp/usr/share/doc/lynx/test/
	$(install_file) debian/changelog debian/tmp/usr/share/doc/lynx/changelog.Debian
	$(install_file) debian/README.Debian debian/tmp/usr/share/doc/lynx/README.Debian
	find debian/tmp/usr/share/doc/lynx -type f -maxdepth 1 | xargs gzip -9v
	$(install_file) debian/copyright debian/tmp/usr/share/doc/lynx/

	$(install_dir) debian/tmp/usr/lib/menu/
	$(install_file) debian/menu debian/tmp/usr/lib/menu/lynx

	$(install_dir) debian/tmp/usr/share/applications
	$(install_file) debian/lynx.desktop debian/tmp/usr/share/applications/lynx.desktop

	$(install_dir) debian/tmp/usr/lib/mime/packages/
	$(install_file) debian/mime debian/tmp/usr/lib/mime/packages/lynx

	uudecode -o debian/icons/web-browser.png debian/icons/web-browser.png.uue
	$(install_dir) debian/tmp/usr/share/icons/hicolor/22x22/apps/
	$(install_file) debian/icons/web-browser.png debian/tmp/usr/share/icons/hicolor/22x22/apps/web-browser.png

	dpkg-shlibdeps debian/tmp/usr/bin/lynx.stable
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp/
	chmod -R go=rX debian/tmp/
	dpkg --build debian/tmp/ ..

define checkdir
	test -f src/LYMain.c -a -f debian/rules
endef

# Below here is fairly generic really

binary: 	binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot patch unpatch

## lynx 2.8.9dev8

=== debian/changelog ===
lynx (2.8.9dev8-4ubuntu1) xenial; urgency=medium

  * debian/rules: don't FTBFS if there is no changelog to remove.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Mar 2016 12:57:04 -0400

lynx (2.8.9dev8-4) unstable; urgency=low

  * Upload to unstable again.
  * Add bug report number which was yet unknown at the time of the
    previous upload.
  * Update work-around-gnutls_protocol_set_priority-removal.patch as
    suggested by Andreas Metzler.

 -- Axel Beckert <abe@debian.org>  Mon, 25 Jan 2016 20:25:41 +0100

lynx (2.8.9dev8-3) experimental; urgency=low

  * Add patch to fix FTBFS against GnuTLS ≥ 3.4.0 (Closes: #812424)

 -- Axel Beckert <abe@debian.org>  Sat, 23 Jan 2016 20:24:30 +0100

lynx (2.8.9dev8-2) experimental; urgency=low

  [ Axel Beckert ]
  * Rename source and primary binary package back to "lynx" again, make
    "lynx-cur" the transitional package. (Closes: #490265)
  * Change source package back to "Priority: optional". ("Priority: extra"
    dates back to the time where lynx and lynx-cur both were
    non-transitional packages and shipped different versions.)

  [ Elimar Riesebieter ]
  * Break out a lynx-common package. Lintian won't emit an
    "arch-dep-package-has-big-usr-share" warning anymore. We'll save
    around 1.1 MB (arch-1) times. Around 2 MB (depends on architecture)
    are preserved for the binary package. (Closes: #797442)
  * Add myself to uploaders.

 -- Axel Beckert <abe@debian.org>  Tue, 22 Dec 2015 23:32:42 +0100

lynx-cur (2.8.9dev8-1) unstable; urgency=low

  * New upstream development release.
    + Remove all patches applied upstream (partially applied modified)
    + export NO_BUILDSTAMP to make build reproducible (instead of
      patching)
  * Prefix all debhelper files with the according package name for
    consistency.
  * Add additional upstream signing key (702353E0F7E48EDB).
  * Add ftp://invisible-island.net/lynx/tarballs/ to debian/watch as it
    seems to contain a different set of files.

 -- Axel Beckert <abe@debian.org>  Tue, 22 Dec 2015 22:17:18 +0100

lynx-cur (2.8.9dev6-5) unstable; urgency=medium

  * Change Homepage header and watch file since lynx.isc.org is deprecated.
  * Add patch to fix typos found by lintian.
  * Add lintian override for XWINDOWS misspelling since this can be the
    value or name of an environment variable and we don't want to change
    Lynx's user interface to become incompatible with upstream
    respectively previous versions in Debian.

 -- Axel Beckert <abe@debian.org>  Sat, 28 Nov 2015 15:36:10 +0100

lynx-cur (2.8.9dev6-4) unstable; urgency=low

  [ Reiner Herrmann ]
  * 40_reproducible_build.diff: Sort cfg_defs.h independent of locale.
    Closes: #792770

  [ Simon Kainz ]
  * Add patch gnutls_add_rehandshake_support.diff. (Closes: #797059)
  * Add patch add_client_certificate_support.diff. (Closes: #797901)

  [ Axel Beckert ]
  * Fix license name spelling error in debian/copyright. Thanks lintian!

 -- Axel Beckert <abe@debian.org>  Thu, 03 Sep 2015 20:51:23 +0200

lynx-cur (2.8.9dev6-3) unstable; urgency=medium

  * Upload to unstable. The change in the previous upload (to experimental)
    Closes: #785383.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 May 2015 11:16:43 +0200

lynx-cur (2.8.9dev6-2) experimental; urgency=medium

  * gnutls_set_default_priority.diff: Use gnutls_set_default_priority()
    instead of a custom priority string. See #784430.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 14 May 2015 12:57:12 +0200

lynx-cur (2.8.9dev6-1) unstable; urgency=medium

  * New upstream version.
    + Refresh patches 20_use_gzip-n.diff and 21_do_not_strip_-g.diff
    + Truncates SSL prompts with an ellipsis if it's too long for the
      screen-width. (Closes: #783476)
    + Adds a note about OCSP to url-support documentation (c.f. #745835)
    + Change defaults for SSL prompts when a problem is detected to "no"
      (Closes: #783477)

 -- Axel Beckert <abe@debian.org>  Sun, 10 May 2015 21:37:15 +0200

lynx-cur (2.8.9dev5-2) unstable; urgency=medium

  * Upload to unstable again.
  * Change Andy's e-mail address to a permanent one.
  * debian/copyright:
    + Use canonical short name GPL-2 instead of GPL-2.0
    + Fix lintian warning dep5-copyright-license-name-not-unique

 -- Axel Beckert <abe@debian.org>  Sun, 26 Apr 2015 03:11:05 +0200

lynx-cur (2.8.9dev5-1) experimental; urgency=medium

  * Use improved package description by Justin B Rye (with minor changes).
    Closes: #710737
  * New upstream version.
    + Removes limit of 4 digits for page jumps on ix86. Closes: #699068
    + Loosen the check in IsOurFile() to permit hard-linked files.
      Closes: #429606
    + Translation updates include corrected description of keybinding.
      Closes: #484250

 -- Andreas Metzler <ametzler@debian.org>  Mon, 13 Apr 2015 19:36:20 +0200

lynx-cur (2.8.9dev4-2) experimental; urgency=low

  [ Axel Beckert ]
  * Add Vcs-Headers.
  * Remove obsolete emacs "local variables" from debian/changelog.
  * Update Michael Grobe's e-mail address in debian/copyright. (Outdated
    e-mail address reported by DUCK, thanks!)
  * Apply wrap-and-sort.
  * Drop long-time transitional package lynx-cur-wrapper.
  * Add DEP12 upstream metadata file.
  * Replace version Conflicts headers with Breaks + Replaces. Fixes
    lintian warning conflicts-with-version.
  * Add patch to make build reproducible by removing all occurrences of
    the __DATE__ and __TIME__ macros.
  * Update all patch headers to be DEP3-compliant.

  [ Denis Briand ]
  * New maintainers. Add team and co-maintainers e-mail
    addresses. (Closes: #773942)
  * Update debian/copyright to machine-readable format version 1.
  * Switch NESTED_TABLES option to false (Closes: #387555)
  * Add Delete key usage into manpage (Closes: #74358)

 -- Axel Beckert <abe@debian.org>  Fri, 20 Mar 2015 04:46:50 +0100

lynx-cur (2.8.9dev4-1) experimental; urgency=medium

  * QA upload.


=== debian/control ===
Source: lynx
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Lynx Packaging Team <pkg-lynx-maint@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>,
           Denis Briand <debian@denis-briand.fr>,
           Andreas Metzler <ametzler@debian.org>,
           Andy Valencia <lynxomatic@gmail.com>,
           Elimar Riesebieter <riesebie@lxtec.de>
Homepage: http://lynx.invisible-island.net/
Build-Depends: autotools-dev,
               debhelper (>= 9),
               gettext,
               libbsd-dev,
               libbz2-dev,
               libgnutls28-dev,
               libidn11-dev,
               libncursesw5-dev,
               openssh-client,
               sharutils,
               telnet | telnet-client,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lynx/lynx.git/
Vcs-Git: git://anonscm.debian.org/pkg-lynx/lynx.git

Package: lynx-common
Architecture: all
Depends: ${misc:Depends}
Recommends: lynx
Breaks: lynx-cur (<< 2.8.9dev8-2~),
        lynx-cur-wrapper (<< 2.8.8dev.8-2)
Replaces: lynx-cur (<< 2.8.9dev8-2~),
          lynx-cur-wrapper (<< 2.8.8dev.8-2)
Description: shared files for lynx package
 In continuous development since 1992, Lynx sets the standard for
 text-mode web clients.
 .
 This package contains architecture-independent files shared by the
 lynx package over any architecture available in Debian.  Examples of
 such shared files are: manpages, locale and mimetype definitions, and
 configuration files.

Package: lynx
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lynx-common
Provides: news-reader,
          www-browser
Breaks: lynx-cur (<< 2.8.9dev8-2~),
        lynx-cur-wrapper (<< 2.8.8dev.8-2)
Replaces: lynx-cur (<< 2.8.9dev8-2~),
          lynx-cur-wrapper (<< 2.8.8dev.8-2)
Conflicts: lynx-ssl
Recommends: mime-support
Description: classic non-graphical (text-mode) web browser
 In continuous development since 1992, Lynx sets the standard for
 text-mode web clients. It is fast and simple to use, with support for
 browsing via FTP, Gopher, HTTP, HTTPS, NNTP, and the local file system.

Package: lynx-cur
Section: oldlibs
Priority: extra
Architecture: all
Multi-Arch: foreign
Depends: lynx (>= 2.8.9dev8-2~),
         ${misc:Depends}
Description: Text-mode WWW Browser (transitional package)
 This is a transitional package and can safely be removed; see the
 lynx package instead.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND := -Wall -DNO_BUILDSTAMP

SSL=gnu
# uncomment the next line if you want openssl version
#SSL=ssl

ifeq ($(SSL),gnu)
	CONFTLS := --with-gnutls=/usr
else
	CONFTLS := --with-ssl
endif

override_dh_auto_configure:
ifeq ($(SSL),gnu)
	sed -i -e s/libssl-dev/libgnutls28-dev/g debian/control
else
	sed -i -e s/libgnutls28-dev/libssl-dev/g debian/control
endif

	env cf_cv_SYSTEM_MAIL=/usr/sbin/sendmail \
	COMPRESS=/usr/bin/compress BZIP2=/bin/bzip2 UNZIP=/usr/bin/unzip \
	ZIP=/usr/bin/zip \
	LIBS="-lbsd" \
	dh_auto_configure --verbose -- \
	--sysconfdir=/etc/lynx \
	--enable-8bit-toupper --enable-externs \
	--enable-nsl-fork --enable-cgi-links --enable-exec-links \
	--enable-exec-scripts --enable-persistent-cookies --enable-nls \
	--enable-gzip-help --enable-prettysrc --enable-source-cache \
	--enable-cjk --enable-default-colors --enable-nested-tables \
	--enable-japanese-utf8 --enable-ipv6 \
        --enable-forms-options --enable-justify-elts --enable-partial \
        --enable-read-eta --enable-scrollbar --enable-syslog \
	--with-zlib --with-bzlib --without-included-gettext \
	--with-screen=ncursesw --enable-justify-elts \
	$(CONFTLS)


override_dh_auto_install:
	dh_auto_install --verbose -- install-full
	cd debian/tmp/usr/share/lynx_help && rm -vf COPYING COPYHEADER
	cd debian/tmp/usr/share/lynx_doc && rm -rvf CHANGES \
		COPYHEADER.asc COPYING COPYING.asc samples test

override_dh_link:
	-rm -v debian/lynx/usr/share/doc/lynx/changelog
	dh_link

%:
	dh $@ --parallel --with autotools_dev

=== debian/watch ===
version=3
opts=uversionmangle=s/dev\.(\d+)/dev$1/,pgpsigurlmangle=s/$/.asc/ \
http://invisible-mirror.net/archives/lynx/tarballs/ \
(?:|.*/)lynx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

opts=uversionmangle=s/dev\.(\d+)/dev$1/,pgpsigurlmangle=s/$/.asc/ \
ftp://invisible-island.net/lynx/tarballs/ \
(?:|.*/)lynx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## lynx 2.8.9dev9

=== debian/changelog ===
lynx (2.8.9dev9-1) unstable; urgency=medium

  [ Andreas Metzler ]
  * Fix arch-indep only build. (Closes: #814436)

  [ Axel Beckert ]
  * Import new upstream version 2.8.9dev9.
    + Drop work-around-gnutls_protocol_set_priority-removal.patch, fixed
      upstream.
    + Fixes displaying U+200F RIGHT-TO-LEFT MARK. (Closes: #808949)
  * Reorder URLs in watch file so that the mirrors come second. Recent
    versions of uscan otherwise won't download new versions but just
    report them.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Switch Vcs-Git header from git:// to https://.

 -- Axel Beckert <abe@debian.org>  Wed, 27 Apr 2016 10:14:39 +0200

=== debian/watch ===
version=3
opts=uversionmangle=s/dev\.(\d+)/dev$1/,pgpsigurlmangle=s/$/.asc/ \
ftp://invisible-island.net/lynx/tarballs/ \
(?:|.*/)lynx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

opts=uversionmangle=s/dev\.(\d+)/dev$1/,pgpsigurlmangle=s/$/.asc/ \
http://invisible-mirror.net/archives/lynx/tarballs/ \
(?:|.*/)lynx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## lynx 2.8.9dev10

=== debian/changelog ===
lynx (2.8.9dev10-1) unstable; urgency=medium

  * Import new upstream version 2.8.9dev10.
    + Addresses CVE-2016-9179 by clarifying documentation and warning
      messages. (c.f. RFCs 1738 and 3986)
  * debian/watch: Comment out one of two possible URLs as uscan can only
    handle one download source.
  * Update several URLs in packaging from http:// to https:// (via DUCK).
  * Update source URL in debian/copyright. Issue reported by DUCK.

 -- Axel Beckert <abe@debian.org>  Wed, 09 Nov 2016 02:42:12 +0100

=== debian/watch ===
version=3
opts=uversionmangle=s/dev\.(\d+)/dev$1/,pgpsigurlmangle=s/$/.asc/ \
ftp://invisible-island.net/lynx/tarballs/ \
(?:|.*/)lynx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

#opts=uversionmangle=s/dev\.(\d+)/dev$1/,pgpsigurlmangle=s/$/.asc/ \
#http://invisible-mirror.net/archives/lynx/tarballs/ \
#(?:|.*/)lynx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## lynx 2.8.9dev11

=== debian/changelog ===
lynx (2.8.9dev11-1) unstable; urgency=medium

  * Import new upstream version 2.8.9dev11
    + Fixes CVE-2016-9179. (Closes: #843258)
  * Clarify item about CVE-2016-9179 in previous changelog entry.
  * Simplify debian/watch to only match so far used combinations and to
    only look for a single compression type (bzip2).
  * Use passive FTP in debian/watch.

 -- Axel Beckert <abe@debian.org>  Thu, 17 Nov 2016 01:43:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lynx
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Lynx Packaging Team <pkg-lynx-maint@lists.alioth.debian.org>
+Maintainer: Debian Lynx Packaging Team <pkg-lynx-maint@lists.alioth.debian.org>
 Uploaders: Axel Beckert <abe@debian.org>,
            Denis Briand <debian@denis-briand.fr>,
            Andreas Metzler <ametzler@debian.org>,
@@ -21,9 +20,9 @@
                sharutils,
                telnet | telnet-client,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lynx/lynx.git/
-Vcs-Git: git://anonscm.debian.org/pkg-lynx/lynx.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lynx/lynx.git
 
 Package: lynx-common
 Architecture: all

=== debian/watch ===
version=3
opts=passive,uversionmangle=s/dev\.(\d+)/dev$1/,pgpsigurlmangle=s/$/.asc/ \
ftp://invisible-island.net/lynx/tarballs/ lynx(\d[^\s/]*)\.tar\.bz2

#opts=uversionmangle=s/dev\.(\d+)/dev$1/,pgpsigurlmangle=s/$/.asc/ \
#http://invisible-mirror.net/archives/lynx/tarballs/ lynx(\d[^\s/]*)\.tar\.bz2

## lynx 2.8.9dev14

=== debian/changelog ===
lynx (2.8.9dev14-2) unstable; urgency=medium

  * Upload to unstable again.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed.)
  * Add lintian override for not-spelling-error "iff" (c.f. #865055)

 -- Axel Beckert <abe@debian.org>  Sun, 18 Jun 2017 23:58:04 +0200

lynx (2.8.9dev14-1) experimental; urgency=medium

  * Import upstream version 2.8.9dev14
    + Amends fix for #841155, adding check for complete multibyte strings
      to decide when the cell-limit has been met. (Closes: #862148)

 -- Axel Beckert <abe@debian.org>  Thu, 11 May 2017 03:18:58 +0200

lynx (2.8.9dev13-1) experimental; urgency=low

  * Import new upstream version 2.8.9dev13
    + Corrects logic in cell2char(), which gave up too early in
      determining the number of cells needed for a multibyte string in the
      editable text-fields (Closes: #841155)
    + Improves manual page discussion of environment variables, especially
      http_proxy (c.f. #791452)
    + Refresh patches lynxcfg.patch and 21_do_not_strip_-g.diff.

 -- Axel Beckert <abe@debian.org>  Wed, 03 May 2017 02:30:38 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                sharutils,
                telnet | telnet-client,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lynx/lynx.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-lynx/lynx.git

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 		COPYHEADER.asc COPYING COPYING.asc samples test
 
 override_dh_link:
-	-rm -v debian/lynx/usr/share/doc/lynx/changelog
+	rm -fv debian/lynx/usr/share/doc/lynx/changelog
 	dh_link
 
 %:

## lynx 2.8.9dev15

=== debian/changelog ===
lynx (2.8.9dev15-1) unstable; urgency=medium

  * Import upstream version 2.8.9dev15
    + Refresh patches where necessary.
    + Adds a note in lynx.cfg about default values. (Closes: #408448)
    + Correct logic in HTCopy() when re-reading a page. (Closes: #863008)
  * debian/copyright: Change some URLs to HTTPS as suggested by DUCK.
  * Remove lintian override for "iff" false positive again, as #865055 is
    now fixed in lintian.

 -- Axel Beckert <abe@debian.org>  Wed, 05 Jul 2017 15:18:34 +0200

## lynx 2.8.9dev16

=== debian/changelog ===
lynx (2.8.9dev16-3) unstable; urgency=medium

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)
  * Switch to debhelper compatibility level 11.
    + Update versioned debhelper build-depency accordingly.
    + Use technique described in #887390 to workaround incompatibility
      between dh v11 and autoconf-dickey.
  * Update Vcs-* headers for move to salsa.debian.org.

  [ Adrian Bunk ]
  * Patch po/makefile.inn to use unique names for temporary files. Fixes
    parallel build FTBFS. (Closes: #890811)

 -- Axel Beckert <abe@debian.org>  Mon, 19 Feb 2018 22:15:35 +0100

lynx (2.8.9dev16-2) unstable; urgency=low

  [ Denis Briand + Axel Beckert ]
  * Use file://localhost/usr/share/doc/lynx/lynx_help/about_lynx.html.gz
    as STARTFILE in lynx.cfg. (Closes: #821905)

  [ Axel Beckert ]
  * Set "Rules-Requires-Root: no".
  * Bump debhelper compatibility level to 10.
    + Update versioned debhelper build-depency accordingly.
    + Remove "--parallel" and "--with autotools" from debian/rules.
    + Drop build-depency on autotools-dev.
    + Use dh_autoreconf with autoreconf-dickey, otherwise FTBFS.
      - Add build-depency on autoconf-dickey.
    + Explicitly pass --enable-debug to configure to fix lintian warning
      debug-file-with-no-debug-symbols after switching to autoconf-dickey.
  * Drop transitional package lynx-cur.
  * Switch Homepage, debian/copyright Source and debian/watch to HTTPS.
  * Remove ftp:// URL from debian/copyright (but leave it as comment in
    debian/watch): Currently just runs into timeouts (and would be
    unencrypted anyways).
  * Declare compliance with Debian Policy 4.1.1. (No changes needed.)
  * Enable HTMLized configuration file documentation. (Closes: #879991)
    + Remove tmp[0-9]* files in clean target.

 -- Axel Beckert <abe@debian.org>  Mon, 30 Oct 2017 19:32:24 +0100

lynx (2.8.9dev16-1) unstable; urgency=medium

  * Import upstream version 2.8.9dev16
    + Refresh patches lynxcfg.patch and nested_tables.patch.
    + Adds a note in the comments for INCLUDE in lynx.cfg regarding the
      default directory searches LYOpenCFG(), added in 2.8.4dev.20.
      (Closes: #818047)

 -- Axel Beckert <abe@debian.org>  Wed, 12 Jul 2017 08:44:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
            Andreas Metzler <ametzler@debian.org>,
            Andy Valencia <lynxomatic@gmail.com>,
            Elimar Riesebieter <riesebie@lxtec.de>
-Homepage: http://lynx.invisible-island.net/
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Homepage: https://lynx.invisible-island.net/
+Build-Depends: autoconf-dickey,
+               debhelper (>= 11),
                gettext,
                libbsd-dev,
                libbz2-dev,
@@ -20,9 +20,10 @@
                sharutils,
                telnet | telnet-client,
                zlib1g-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lynx/lynx.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-lynx/lynx.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/lynx-team/lynx
+Vcs-Git: https://salsa.debian.org/lynx-team/lynx.git
+Rules-Requires-Root: no
 
 Package: lynx-common
 Architecture: all
@@ -59,14 +60,3 @@
  In continuous development since 1992, Lynx sets the standard for
  text-mode web clients. It is fast and simple to use, with support for
  browsing via FTP, Gopher, HTTP, HTTPS, NNTP, and the local file system.
-
-Package: lynx-cur
-Section: oldlibs
-Priority: extra
-Architecture: all
-Multi-Arch: foreign
-Depends: lynx (>= 2.8.9dev8-2~),
-         ${misc:Depends}
-Description: Text-mode WWW Browser (transitional package)
- This is a transitional package and can safely be removed; see the
- lynx package instead.

=== debian/rules ===
--- 
+++ 
@@ -24,20 +24,22 @@
 	COMPRESS=/usr/bin/compress BZIP2=/bin/bzip2 UNZIP=/usr/bin/unzip \
 	ZIP=/usr/bin/zip \
 	LIBS="-lbsd" \
-	dh_auto_configure --verbose -- \
+	DH_COMPAT=10 dh_auto_configure --verbose -- \
 	--sysconfdir=/etc/lynx \
-	--enable-8bit-toupper --enable-externs \
+	--enable-8bit-toupper --enable-externs --enable-debug \
 	--enable-nsl-fork --enable-cgi-links --enable-exec-links \
 	--enable-exec-scripts --enable-persistent-cookies --enable-nls \
 	--enable-gzip-help --enable-prettysrc --enable-source-cache \
 	--enable-cjk --enable-default-colors --enable-nested-tables \
-	--enable-japanese-utf8 --enable-ipv6 \
+	--enable-japanese-utf8 --enable-ipv6 --enable-htmlized-cfg \
         --enable-forms-options --enable-justify-elts --enable-partial \
         --enable-read-eta --enable-scrollbar --enable-syslog \
 	--with-zlib --with-bzlib --without-included-gettext \
 	--with-screen=ncursesw --enable-justify-elts \
 	$(CONFTLS)
 
+override_dh_autoreconf:
+	dh_autoreconf autoreconf-dickey -- -f -i
 
 override_dh_auto_install:
 	dh_auto_install --verbose -- install-full
@@ -50,4 +52,4 @@
 	dh_link
 
 %:
-	dh $@ --parallel --with autotools_dev
+	dh $@

=== debian/watch ===
version=3
#opts=passive,uversionmangle=s/dev\.(\d+)/dev$1/,pgpsigurlmangle=s/$/.asc/ \
#ftp://invisible-island.net/lynx/tarballs/ lynx(\d[^\s/]*)\.tar\.bz2

opts=uversionmangle=s/dev\.(\d+)/dev$1/,pgpsigurlmangle=s/$/.asc/ \
https://invisible-mirror.net/archives/lynx/tarballs/ lynx(\d[^\s/]*)\.tar\.bz2

## lynx 2.8.9dev17

=== debian/changelog ===
lynx (2.8.9dev17-1) unstable; urgency=medium

  * Update FTP-based URL in watch file and switch to it for now as it
    seems more uptodate.
  * Import upstream version 2.8.9dev17.
    + Drop parallel.patch, fixed upstream.
    + Refresh remaining patches where necessary.

 -- Axel Beckert <abe@debian.org>  Thu, 22 Mar 2018 02:35:17 +0100

## lynx 2.8.9dev18

=== debian/changelog ===
lynx (2.8.9dev18-1) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Import upstream version 2.8.9dev18.
    - modify legacy feature from Lynx 2.7.2 which checks the hostname of a URI
      to guess whether to use HTTP, FTP, etc., depending upon the prefix of the
      URIs hostname.  This is now an optional feature, GUESS_SCHEME, which
      defaults to FALSE (Closes: #893907)
  * Refreshed lynxcfg.patch.
  * Declare compliance with Debian Policy 4.1.4. (No changes needed.)

  [ Axel Beckert ]
  * Add a debian/gbp.conf so that signed tags and pristine-tar are default.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 07 May 2018 09:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                sharutils,
                telnet | telnet-client,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/lynx-team/lynx
 Vcs-Git: https://salsa.debian.org/lynx-team/lynx.git
 Rules-Requires-Root: no

=== debian/watch ===
version=3
opts=passive,uversionmangle=s/dev\.(\d+)/dev$1/,pgpsigurlmangle=s/$/.asc/ \
ftp://ftp.invisible-island.net/lynx/tarballs/ lynx(\d[^\s/]*)\.tar\.bz2

#opts=uversionmangle=s/dev\.(\d+)/dev$1/,pgpsigurlmangle=s/$/.asc/ \
#https://invisible-mirror.net/archives/lynx/tarballs/ lynx(\d[^\s/]*)\.tar\.bz2

## lynx 2.8.9pre.1

=== debian/changelog ===
lynx (2.8.9pre.1-1) unstable; urgency=medium

  * Import upstream version 2.8.9pre.1
    - Fix an inconsistency in message for "-listonly" option (Closes: #805753)
 
 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 11 Jun 2018 08:51:09 +0200

lynx (2.8.9dev19-1) unstable; urgency=medium

  * Import upstream version 2.8.9dev19.

 -- Axel Beckert <abe@debian.org>  Sun, 20 May 2018 20:55:04 +0200
